# Uses of Enum
org.eclipse.microprofile.openapi.models.PathItem.HttpMethod

Packages that use PathItem.HttpMethod
Package
Description
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.

## Uses of PathItem.HttpMethod in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return PathItem.HttpMethod
Modifier and Type
Method
Description
`static PathItem.HttpMethod`
PathItem.HttpMethod.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PathItem.HttpMethod[]`
PathItem.HttpMethod.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type PathItem.HttpMethod
Modifier and Type
Method
Description
`Map<PathItem.HttpMethod,Operation>`
PathItem.`getOperations()`
Returns a map with all the operations for this path where the keys are `PathItem.HttpMethod` items
Methods in org.eclipse.microprofile.openapi.models with parameters of type PathItem.HttpMethod
Modifier and Type
Method
Description
`void`
PathItem.`setOperation(PathItem.HttpMethod httpMethod, Operation operation)`
Sets an operation for a given http method.